View Issue Details

IDProjectCategoryView StatusLast Update
14251Bug reports[All Projects] Central participant databasepublic2019-04-30 09:12
ReporterDenisChenu Assigned ToDenisChenu  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version3.15.x 
Target VersionFixed in Version3.15.x 
Summary14251: When deleting a token : CPDB keep link with survey
Description

See summary ;)

Steps To Reproduce

Add a CPDB user, assign him to a survey
Go to survey participant, delete token
return to CPDB, see list of survey

Additional Information

We delete the survey link in Token model : https://github.com/LimeSurvey/LimeSurvey/blob/8053d05756fed9b6c16641cb8d5f98ab55fc3724/application/models/Token.php#L100
Not in TokenDynamic model https://github.com/LimeSurvey/LimeSurvey/blob/master/application/models/TokenDynamic.php#L447
But more : all of this delete function in TokenDynamic don't use clean way and broke before and afterTokenDelete

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.15.4 github
I will donate to the project if issue is resolvedNo
Browsernot relevant
Database & DB-Versionnot relevant
Server OS (if known)not relevant
Webserver software & version (if known)not relevant
PHP Versionnot relevant

Relationships

related to 14157 new Development  2 token dynamic model + 2 survey dynamic model 

Related Changesets

LimeSurvey: master 3579c93e

2018-11-15 08:04:47

DenisChenu

Details Diff
Fixed issue 14251: When deleting a token : CPDB keep link with survey
Dev: this fix this issue, old link still here
Affected Issues
14251
mod - application/models/LSActiveRecord.php Diff File
mod - application/models/Token.php Diff File
mod - application/models/TokenDynamic.php Diff File

Issue History

Date Modified Username Field Change
2018-11-13 23:49 DenisChenu New Issue
2018-11-13 23:50 DenisChenu Relationship added related to 14157
2018-11-14 00:20 DenisChenu Note Added: 49642
2018-11-14 00:23 DenisChenu Note Edited: 49642 View Revisions
2018-11-14 00:36 DenisChenu Note Added: 49643
2018-11-14 17:57 DenisChenu Assigned To => DenisChenu
2018-11-14 17:57 DenisChenu Status new => assigned
2018-11-15 08:05 DenisChenu Changeset attached => LimeSurvey master 3579c93e
2018-11-15 08:05 DenisChenu Note Added: 49664
2018-11-15 08:05 DenisChenu Resolution open => fixed
2018-11-15 08:34 DenisChenu Status assigned => resolved
2018-11-15 08:34 DenisChenu Fixed in Version => 3.15.x
2019-04-30 09:12 c_schmitz Note Added: 51654
2019-04-30 09:12 c_schmitz Status resolved => closed